Update a contact
curl --request PATCH \
--url https://app.closerx.ai/api/v2/contact-detail/{id}/ \
--header 'Company-Name: <company-name>' \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"first_name": "test123Edit",
"last_name": "testEdit",
"contact_number": "8570904784",
"country_code": "+91",
"email": "info@agencys.ai",
"tags": [
"salesforce",
"real estate",
"Test campaign"
],
"company_name": "test",
"industry": "SaaS"
}
'import requests
url = "https://app.closerx.ai/api/v2/contact-detail/{id}/"
payload = {
"first_name": "test123Edit",
"last_name": "testEdit",
"contact_number": "8570904784",
"country_code": "+91",
"email": "info@agencys.ai",
"tags": ["salesforce", "real estate", "Test campaign"],
"company_name": "test",
"industry": "SaaS"
}
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Company-Name': '<company-name>',
api_key: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: 'test123Edit',
last_name: 'testEdit',
contact_number: '8570904784',
country_code: '+91',
email: 'info@agencys.ai',
tags: ['salesforce', 'real estate', 'Test campaign'],
company_name: 'test',
industry: 'SaaS'
})
};
fetch('https://app.closerx.ai/api/v2/contact-detail/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"id": 4465,
"contact_number": "+918570904784",
"email": "info@agencys.ai",
"first_name": "test123edit",
"last_name": "testedit",
"company_name": "test",
"isactive": true,
"contact_id": "003au000008n5oiAAA",
"tags": [
{
"id": 56,
"tag_name": "salesforce"
}
],
"industry": null,
"custom1": null,
"custom2": null,
"custom3": null,
"custom4": null,
"address": null
}
}{
"success": true,
"message": "<string>",
"data": {}
}Contact
Edit Contact
Updates complete details of a specific contact by its unique ID.
PATCH
/
v2
/
contact-detail
/
{id}
/
Update a contact
Authorizations
Headers
The schema name for multi-tenancy (company-wise DB separation)
Path Parameters
Unique ID of the contact (e.g., 4465)
Body
application/json
First name of the contact
Example:
"test123Edit"
Last name of the contact
Example:
"testEdit"
Phone number of the contact (without country code)
Example:
"8570904784"
Country code for the contact number (in international format)
Example:
"+91"
Email address of the contact
Example:
"info@agencys.ai"
List of tag names associated with the contact
Example:
[
"salesforce",
"real estate",
"Test campaign"
]
Name of the company the contact is associated with
Example:
"test"
Industry type for the contact
Example:
"SaaS"
⌘I
